## com.google.appengine.api.taskqueue
Class QueueFactory

    java.lang.Object
      com.google.appengine.api.taskqueue.QueueFactory

    public final class QueueFactory

extends java.lang.Object

Creates `Queue` objects. `QueueFactory` is thread safe.

Method Summary
`static Queue` `getDefaultQueue()` Returns the default `QueueService`.
`static Queue` `getQueue(java.lang.String queueName)` Returns the `Queue` by name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultQueue

    public static Queue getDefaultQueue()

  Returns the default `QueueService`.

### getQueue

    public static Queue getQueue(java.lang.String queueName)

  Returns the `Queue` by name.

  The returned `Queue` object may not necessarily refer to an existing queue. Queues must be configured before they may be used. Attempting to use a non-existing queue name may result in errors at the point of use of the `Queue` object and not when calling `getQueue(String)`.